=== script/common/CMakeLists.txt ===
set(SCRIPT_COMMON_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/c_content.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_converter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_types.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/c_internal.cpp
	PARENT_SCOPE)
