=== debian/changelog ===
minetest (0.4.7+repack-2) unstable; urgency=low

  * Fix the package description (the game is LGPL, not GPL)

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Jun 2013 01:54:04 +0200

minetest (0.4.7+repack-1) unstable; urgency=low

  * New upstream release (LP: #1191519)
    - all mods but 'minetest_game' mods were dropped upstream. 
      We still need to repack to integrate the remaining mod, though.
  * Refresh our patches accordingly
  * Build-depend on luajit as it is now the used library for lua
  * d/control: bump standard version to 3.9.4 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Jun 2013 01:13:36 +0200

minetest (0.4.6+repack-6) unstable; urgency=low

  * Reupload to unstable so that it gets rebuilt against irrlicht 1.8. 
    We could have asked a binNMU to the release team for the transition, 
    but minetest is the only package build-depending on irrlicht.

 -- Martin Quinson <mquinson@debian.org>  Mon, 06 May 2013 11:36:12 +0200

minetest (0.4.6+repack-5) unstable; urgency=low

  * include minetest-mapper into the minetest-data package
  * don't install in-package fonts, but use system-wide ones
  * Actually install the upstream changelog -- oops

 -- Martin Quinson <mquinson@debian.org>  Wed, 01 May 2013 18:59:48 +0200
