=== debian/changelog ===
minetest (0.4.8+repack2-2) unstable; urgency=low

  * Also look under /usr/share/games/minetest for mods, so that
    minetest-mod-* packages actually work.

 -- Martin Quinson <mquinson@debian.org>  Wed, 04 Dec 2013 23:38:26 +0100

minetest (0.4.8+repack2-1) unstable; urgency=low

  * New upstream release (closes: #730554).
    - Upstream changes to their embeeded jthread library become
      intractable with our system-wide version. So switch to their
      version, even if it's a bad habit to embeed other libraries.
    - Refresh our patches (no big change beside of jthread).
  * Suggests the existing mod packages: moreblocks, moreores, pipeworks.

 -- Martin Quinson <mquinson@debian.org>  Thu, 28 Nov 2013 23:20:35 +0100

minetest (0.4.7+repack-3) unstable; urgency=low

  * d/p/desktop-file-fix-icon: fix the icon name in minetest.desktop
    (Closes: #713808)

 -- Martin Quinson <mquinson@debian.org>  Sun, 18 Aug 2013 02:34:11 +0200
