=== util/CMakeLists.txt ===
set(UTIL_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/directiontables.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/numeric.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/pointedthing.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/serialize.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/string.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/timetaker.cpp
	PARENT_SCOPE)
