=== debian/changelog ===
minetest (0.4.9+repack-4ubuntu1) trusty; urgency=medium

  * Add ppc64el to architecture list for liblua5.1-dev.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Apr 2014 21:43:44 -0400

minetest (0.4.9+repack-4) unstable; urgency=medium

  * luajit is available on powerpcspe, too (Closes: #734730).
  * Use lua on all other debian-port strange architectures where
    luajit is not avail. I don't really like to hardcode this list of
    architectures this way: if luajit is ported, I will not notice it.

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 14:22:20 +0100

minetest (0.4.9+repack-3) unstable; urgency=medium

  * Mipsel don't have luajit either, actually. Bummer.

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 02:40:17 +0100

minetest (0.4.9+repack-2) unstable; urgency=medium

  * Do not try to use luajit on architectures that don't provide it.
    Fallback on lua on those architectures. (Closes: #734461)

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 00:41:18 +0100

minetest (0.4.9+repack-1) unstable; urgency=medium

  * New upstream release.
    - drop d/p/blinking_furnaces that were picked from upstream.
  * Bump Standards-Version to 3.9.5 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Sat, 04 Jan 2014 20:52:19 +0100

minetest (0.4.8+repack2-3) unstable; urgency=low

  * get upstream patch to fix a bug with furnaces that are blinking

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Dec 2013 01:10:58 +0100
