=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: minetest
 Section: games
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Martin Quinson <mquinson@debian.org>	 
@@ -12,16 +13,16 @@
  imagemagick,
  libcurl4-gnutls-dev,
  libfreetype6-dev,
- libjthread-dev,
  libirrlicht-dev (>= 1.7.0),
- libluajit-5.1-dev,
+ libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips],
+ liblua5.1-dev [hurd-i386 ia64 kfreebsd-amd64 mipsel s390x sparc     alpha arm64 hppa m68k ppc64 sh4 sparc64 x32 ppc64el],
  zlib1g-dev,
  libsqlite3-dev,
  libogg-dev,
  libvorbis-dev,
  libopenal-dev,
  libjsoncpp-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://minetest.net/
 Vcs-Git: git://git.debian.org/git/pkg-games/minetest-v04x.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/minetest-v04x.git
@@ -36,6 +37,9 @@
  minetestc55,
 Suggests:
  minetest-server,
+ minetest-mod-moreblocks,
+ minetest-mod-moreores,
+ minetest-mod-pipeworks,
 Description: Multiplayer infinite-world block sandbox
  Minetest is a minecraft-inspired game written from scratch and licensed
  under the LGPL (version 2.1 or later). It supports both survival and creative
